Mesa (master): bin/get-pick-list.sh: fix redirection in sh

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Mon Jan 14 15:41:01 UTC 2019


Module: Mesa
Branch: master
Commit: 3ec9ab80b870efffb5ba7c7a00b86b2df729ec6d
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=3ec9ab80b870efffb5ba7c7a00b86b2df729ec6d

Author: Andres Gomez <agomez at igalia.com>
Date:   Fri Jan 11 16:43:27 2019 +0200

bin/get-pick-list.sh: fix redirection in sh

"&>" is bash specific.

Fixes: e0dbfc99537 ("bin/get-pick-list.sh: warn when commit lists invalid sha")
Cc: Juan A. Suarez <jasuarez at igalia.com>
Cc: Eric Engestrom <eric.engestrom at intel.com>
Cc: Dylan Baker <dylan at pnwbakers.com>
Cc: Emil Velikov <emil.velikov at collabora.com>
Signed-off-by: Andres Gomez <agomez at igalia.com>
Reviewed-by: Eric Engestrom <eric.engestrom at intel.com>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>
Reviewed-by: Juan A. Suarez <jasuarez at igalia.com>

---

 bin/get-pick-list.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index e7a2d0dce4..15f0e7d4a3 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -44,7 +44,7 @@ is_sha_nomination()
 		# Treat only the current line
 		id=`echo "$fixes" | tail -n $fixes_count | head -n 1 | cut -d : -f 2`
 		fixes_count=$(($fixes_count-1))
-		if ! git show $id &>/dev/null; then
+		if ! git show $id >/dev/null 2>&1; then
 			echo WARNING: Commit $1 lists invalid sha $id
 		fi
 	done




More information about the mesa-commit mailing list